org.apache.tinkerpop.gremlin.process.traversal.step.map

## Class MatchStep.MatchEndStep

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.traversal.step.util.AbstractStep<S,S>
  - - org.apache.tinkerpop.gremlin.process.traversal.step.util.ComputerAwareStep.EndStep<Object>
    - - org.apache.tinkerpop.gremlin.process.traversal.step.map.MatchStep.MatchEndStep

- All Implemented Interfaces:
    Serializable, Cloneable, Iterator<Traverser.Admin<Object>>, Step<Object,Object>, GraphComputing, Scoping
  Enclosing class:
    MatchStep<S,E>

      public static final class MatchStep.MatchEndStep
      extends ComputerAwareStep.EndStep<Object>
      implements Scoping

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.process.traversal.step.Scoping

      `Scoping.KeyNotFoundException, Scoping.Variable`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.util.AbstractStep

      `id, labels, nextEnd, nextStep, previousStep, starts, traversal, traverserStepIdAndLabelsSetByChild`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MatchEndStep(Traversal.Admin traversal, String matchKey)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Optional<String>` | `getMatchKey()`
    `Set<String>` | `getScopeKeys()` Get the labels that this scoping step will access during the traversal
    `int` | `hashCode()`
    `protected Traverser.Admin<Object>` | `processNextStart()`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.util.ComputerAwareStep.EndStep

      `onGraphComputer`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.util.AbstractStep

      `addLabel, addStart, addStarts, clone, equals, getId, getLabels, getNextStep, getPreviousStep, getStarts, getTraversal, hasNext, hasStarts, isTraverserStepIdAndLabelsSetByChild, next, prepareTraversalForNextStep, removeLabel, reset, setId, setNextStep, setPreviousStep, setTraversal`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.step.Scoping

      `getNullableScopeValue, getSafeScopeValue, getScopeValue`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.step.GraphComputing

      `atMaster, atMaster`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.Step

      `equals, getRequirements`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining, remove`

- - ### Constructor Detail

    - #### MatchEndStep

          public MatchEndStep(Traversal.Admin traversal,
                              String matchKey)

  - ### Method Detail

    - #### processNextStart

          protected Traverser.Admin<Object> processNextStart()
                                                      throws NoSuchElementException

      Overrides:
        `processNextStart` in class `ComputerAwareStep.EndStep<Object>`
      Throws:
        `NoSuchElementException`

    - #### getMatchKey

          public Optional<String> getMatchKey()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `ComputerAwareStep.EndStep<Object>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AbstractStep<Object,Object>`

    - #### getScopeKeys

          public Set<String> getScopeKeys()

      Description copied from interface: `Scoping`
      Get the labels that this scoping step will access during the traversal
      Specified by:
        `getScopeKeys` in interface `Scoping`
      Returns:
        the accessed labels of the scoping step

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.